Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class EscPrettyPrint

    java.lang.Object
      javafe.ast.PrettyPrint
          javafe.ast.DelegatingPrettyPrint
              escjava.ast.EscPrettyPrint

public class EscPrettyPrint
extends DelegatingPrettyPrint

Field Summary

Fields inherited from class javafe.ast.DelegatingPrettyPrint
`del`

Fields inherited from class javafe.ast.PrettyPrint
`displayInferred, INDENT, inst, self`

Constructor Summary
`EscPrettyPrint()`
`EscPrettyPrint(PrettyPrint self, PrettyPrint del)`

Method Summary
`void` | `exsuresPrintDecl(java.io.OutputStream o, GenericVarDecl d)`
`static void` | `print(GuardedCmd g)`
`void` | `print(java.io.OutputStream o, int ind, GuardedCmd g)` Print a guarded command.
`void` | `print(java.io.OutputStream o, int ind, ModifierPragma mp)` Print a member or static initializer of a type declaration.
`void` | `print(java.io.OutputStream o, int ind, ModifierPragmaVec v)`
`void` | `print(java.io.OutputStream o, int ind, StmtPragma sp)`
`void` | `print(java.io.OutputStream o, int ind, TypeDeclElemPragma tp)`
`void` | `print(java.io.OutputStream o, int ind, VarInit e)`
`void` | `print(java.io.OutputStream o, LexicalPragma lp)` Print a lexical pragma.
`void` | `print(java.io.OutputStream o, Type t)`
`void` | `printCond(java.io.OutputStream o, int ind, Condition cond)`
`void` | `printCondVec(java.io.OutputStream o, int ind, ConditionVec cv, java.lang.String name)`
`void` | `printDecrInfoVec(java.io.OutputStream o, int ind, DecreasesInfoVec div, java.lang.String name)`
`void` | `printSpec(java.io.OutputStream o, int ind, Spec spec)`
`private void` | `printVarVec(java.io.OutputStream o, GenericVarDeclVec vars)`
`java.lang.String` | `toString(int tag)`

Methods inherited from class javafe.ast.DelegatingPrettyPrint
`print, print, print, print, print, print, print, print, print, print, print, print, printnoln`

Methods inherited from class javafe.ast.PrettyPrint
`print, println, println, println, spaces, toCanonicalString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, write, write, writeln, writeln`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscPrettyPrint

    public EscPrettyPrint()

### EscPrettyPrint

    public EscPrettyPrint(PrettyPrint self,
                          PrettyPrint del)

Method Detail

### print

    public void print(java.io.OutputStream o,
                      LexicalPragma lp)

  Description copied from class: `PrettyPrint`
  Print a lexical pragma. Assumes `o` is at the start of the line; should leave `o` at the start of a new line.

  Overrides:
    `print` in class `DelegatingPrettyPrint`

### exsuresPrintDecl

    public void exsuresPrintDecl(java.io.OutputStream o,
                                 GenericVarDecl d)

### print

    public void print(java.io.OutputStream o,
                      int ind,
                      TypeDeclElemPragma tp)

  Overrides:
    `print` in class `DelegatingPrettyPrint`

### print

    public void print(java.io.OutputStream o,
                      int ind,
                      ModifierPragmaVec v)

### print

    public void print(java.io.OutputStream o,
                      int ind,
                      ModifierPragma mp)

  Description copied from class: `PrettyPrint`
  Print a member or static initializer of a type declaration. Assumes that `s` should be printed starting at the current position of `o`. If the declaration needs to span multiple lines (for example, to print the statements in the body of a method), then these lines are indented by `ind` spaces. It should leave `o` at the start of a new-line.

  Overrides:
    `print` in class `DelegatingPrettyPrint`

### print

    public void print(java.io.OutputStream o,
                      int ind,
                      StmtPragma sp)

  Overrides:
    `print` in class `DelegatingPrettyPrint`

### print

    public static void print(GuardedCmd g)

### print

    public void print(java.io.OutputStream o,
                      int ind,
                      GuardedCmd g)

  Print a guarded command. Assumes that `g` should be printed starting at the current position of `o`. It does not print a new-line at the end of the statement. However, if the statement needs to span multiple lines (for example, because it has embedded statements), then these lines are indented by `ind` spaces.

### printVarVec

    private void printVarVec(java.io.OutputStream o,
                             GenericVarDeclVec vars)

### printSpec

    public void printSpec(java.io.OutputStream o,
                          int ind,
                          Spec spec)

### printCondVec

    public void printCondVec(java.io.OutputStream o,
                             int ind,
                             ConditionVec cv,
                             java.lang.String name)

### printDecrInfoVec

    public void printDecrInfoVec(java.io.OutputStream o,
                                 int ind,
                                 DecreasesInfoVec div,
                                 java.lang.String name)

### printCond

    public void printCond(java.io.OutputStream o,
                          int ind,
                          Condition cond)

### print

    public void print(java.io.OutputStream o,
                      int ind,
                      VarInit e)

  Overrides:
    `print` in class `DelegatingPrettyPrint`

### print

    public void print(java.io.OutputStream o,
                      Type t)

  Overrides:
    `print` in class `DelegatingPrettyPrint`

### toString

    public java.lang.String toString(int tag)

  Overrides:
    `toString` in class `DelegatingPrettyPrint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage